﻿using System;
using System.Data;
using Telerik.Charting;
using Telerik.Web.UI;
using System.Drawing;


public partial class Default2 : System.Web.UI.Page
{
   
    protected void Page_Load(object sender, EventArgs e)
    {
     PopulateChart(RadChart2);
    }

    private void PopulateChart(RadChart chart)
    {
       
        Font calibri = new Font("Calibri", 9);

        ChartSeries series = new ChartSeries(string.Empty, ChartSeriesType.Area);

        series.Appearance.TextAppearance.TextProperties.Font = calibri;
        chart.PlotArea.XAxis.Appearance.TextAppearance.TextProperties.Font = calibri;
        chart.PlotArea.YAxis.Appearance.TextAppearance.TextProperties.Font = calibri;

        chart.AddChartSeries(series);
        chart.PlotArea.XAxis.Clear();
        chart.PlotArea.XAxis.AutoScale = false;
        chart.PlotArea.XAxis.LayoutMode = Telerik.Charting.Styles.ChartAxisLayoutMode.Normal;
        chart.PlotArea.XAxis.Appearance.LabelAppearance.RotationAngle = 90;
        chart.PlotArea.XAxis.Items.Clear();
        chart.Series[0].Items.Clear();

        Random r = new Random(0x65412);
        DateTime time = new DateTime(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day);
        for (int i = 0; i < 60; i++)
        {
            
            time = time.AddDays(1);
            chart.PlotArea.XAxis.AddItem(time.ToShortDateString());
            ChartSeriesItem item = new ChartSeriesItem(i);
            string label = Convert.ToString(i);
            item.Label.TextBlock.Text = label;
            chart.Series[0].AddItem(item);
            
        }
        
    }  

}
